/// <reference types="node" />
interface Headers {
    [key: string]: string;
}
/** This class represents parsed Web Bundle. */
export declare class Bundle {
    version: string;
    primaryURL: string;
    private sections;
    private responses;
    constructor(buffer: Buffer);
    readonly manifestURL: string | null;
    readonly urls: string[];
    getResponse(url: string): Response;
    private readonly indexSection;
}
/** This class represents an HTTP resource in Web Bundle. */
export declare class Response {
    status: number;
    headers: Headers;
    body: Buffer;
    constructor(responsesSectionItem: unknown[]);
}
export {};
