/// <reference types="node" />
declare module 'cbor' {
    interface DecoderOptions {
        canonical?: boolean;
        highWaterMark?: number;
    }
    function encodeOne(obj: CBORValue, opts?: DecoderOptions): Buffer;
}
declare type CBORValue = unknown;
interface Headers {
    [key: string]: string;
}
export declare class BundleBuilder {
    private primaryURL;
    private sectionLengths;
    private sections;
    private responses;
    private index;
    private currentResponsesOffset;
    constructor(primaryURL: string);
    createBundle(): Buffer;
    addExchange(url: string, status: number, headers: Headers, payload: Uint8Array | string): BundleBuilder;
    addFile(url: string, file: string): BundleBuilder;
    addFilesRecursively(baseURL: string, dir: string): BundleBuilder;
    setManifestURL(url: string): BundleBuilder;
    private addSection;
    private addResponse;
    private addIndexEntry;
    private fixupIndex;
    private createTopLevel;
}
export {};
